name: icdc
version: "0.1.0"
author: Geoff Johnson <geoff.jay@gmail.com>
about: ICD client utility
args:
  - config:
      help: Sets a config file
      short: c
      long: config
      value_name: FILE
      takes_value: true
  - verbose:
      help: Sets the level of verbosity
      short: v
      multiple: true
  - address:
      help: Specify the host address to connect to
      short: a
      long: address
      takes_value: true
  - port:
      help: Specify the host port to connect to
      short: p
      long: port
      takes_value: true
  - name:
      help: Specify the host name from configuration to use
      short: n
      long: name
      takes_value: true
subcommands:
  - completions:
      about: Generate shell completions
      args:
        - shell:
            help: Generate
            short: s
            long: shell
            possible_values: [ bash, fish, powershell, zsh ]
            takes_value: true
  - camera:
      about: Cameras
      subcommands:
        - list:
            about: List all cameras
  - image:
      about: Images
      subcommands:
        - capture:
            about: Capture a new image
        - delete:
            about: Delete an image
            args:
              - from:
                  help: Starting ID to delete images from
                  short: f
                  long: from
                  takes_value: true
              - to:
                  help: Ending ID to delete images to
                  short: t
                  long: to
                  takes_value: true
        - download:
            about: Download an image
            args:
              - from:
                  help: Starting ID to download images from
                  short: f
                  long: from
                  takes_value: true
              - to:
                  help: Ending ID to download images to
                  short: t
                  long: to
                  takes_value: true
              - offset:
                  help: UTC time zone offset in hours, -'ve for Eastern & +'ve for Western hemispheres
                  short: o
                  long: offset
                  takes_value: true
        - list:
            about: List all images
  - job:
      about: Jobs
      subcommands:
        - cancel:
            about: Cancel a running job
        - create:
            about: Create a capture job
        - list:
            about: List all jobs
        - pause:
            about: Pause a running job
        - resume:
            about: Resume a paused
